Bug 1313419 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:83cc6bd031febf3f3ab7f0e7eb9...
:
: 1314347 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 10:15 EST by Alvin
Modified: 2016-12-20 14:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1314347 (view as bug list)
Environment:
Last Closed: 2016-12-20 14:09:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.18 KB, text/plain)
2016-03-01 10:15 EST, Alvin
no flags Details
File: cgroup (200 bytes, text/plain)
2016-03-01 10:15 EST, Alvin
no flags Details
File: core_backtrace (22.85 KB, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: dso_list (34.00 KB, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: environ (1.61 KB, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: maps (176.12 KB, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: mountinfo (3.72 KB, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: open_fds (181 bytes, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details
File: var_log_messages (314 bytes, text/plain)
2016-03-01 10:16 EST, Alvin
no flags Details

  None (edit)
Description Alvin 2016-03-01 10:15:51 EST
Description of problem:
When AFK, the monitor blanks and the screen locks.
After typing the password in sddm and logging in again, allopen applications segfault and you are returned to the login screen.

Version-Release number of selected component:
plasma-workspace-5.5.4-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     3475
kernel:         4.4.2-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kcrash-5.19.0/src/kcrash.cpp:431
 #3 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::data at ../../src/corelib/tools/qscopedpointer.h:135
 #4 qGetPtrHelper<QScopedPointer<QObjectData> > at ../../src/corelib/global/qglobal.h:983
 #5 QAction::d_func at kernel/qaction.h:56
 #6 QAction::activate at kernel/qaction.cpp:1148
 #7 QAction::trigger at /usr/include/qt5/QtWidgets/qaction.h:177
 #8 KPeople::PersonActionsModel::triggerAction at /usr/src/debug/kpeople-5.19.0/src/declarative/personactionsmodel.cpp:132
 #9 KPeople::PersonActionsModel::qt_static_metacall at /usr/src/debug/kpeople-5.19.0/x86_64-redhat-linux-gnu/src/declarative/moc_personactionsmodel_p.cpp:89
 #10 KPeople::PersonActionsModel::qt_metacall at /usr/src/debug/kpeople-5.19.0/x86_64-redhat-linux-gnu/src/declarative/moc_personactionsmodel_p.cpp:151
 #11 QQmlObjectOrGadget::metacall at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlpropertycache.cpp:1689
Comment 1 Alvin 2016-03-01 10:15:57 EST
Created attachment 1131967 [details]
File: backtrace
Comment 2 Alvin 2016-03-01 10:15:59 EST
Created attachment 1131968 [details]
File: cgroup
Comment 3 Alvin 2016-03-01 10:16:00 EST
Created attachment 1131969 [details]
File: core_backtrace
Comment 4 Alvin 2016-03-01 10:16:02 EST
Created attachment 1131970 [details]
File: dso_list
Comment 5 Alvin 2016-03-01 10:16:03 EST
Created attachment 1131971 [details]
File: environ
Comment 6 Alvin 2016-03-01 10:16:04 EST
Created attachment 1131972 [details]
File: limits
Comment 7 Alvin 2016-03-01 10:16:07 EST
Created attachment 1131973 [details]
File: maps
Comment 8 Alvin 2016-03-01 10:16:08 EST
Created attachment 1131974 [details]
File: mountinfo
Comment 9 Alvin 2016-03-01 10:16:09 EST
Created attachment 1131975 [details]
File: namespaces
Comment 10 Alvin 2016-03-01 10:16:11 EST
Created attachment 1131976 [details]
File: open_fds
Comment 11 Alvin 2016-03-01 10:16:12 EST
Created attachment 1131977 [details]
File: proc_pid_status
Comment 12 Alvin 2016-03-01 10:16:14 EST
Created attachment 1131978 [details]
File: var_log_messages
Comment 13 Alvin 2016-03-03 07:40:24 EST
*** Bug 1314347 has been marked as a duplicate of this bug. ***
Comment 14 Kevin Kofler 2016-03-03 19:13:19 EST
I've opened this up at the request (on IRC) of the submitter.
Comment 15 Ed Greshko 2016-03-19 08:48:39 EDT
Similar problem has been detected:

Simply right clicking on any application in the Menu in order to add it to the favorites will trigger the crash.  Also, when a new user is created there are no default apps in the favorites area of the menu.

reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     28219
kernel:         4.4.5-300.fc23.x86_64
package:        plasma-workspace-5.5.5-3.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1029
Comment 16 Fedora End Of Life 2016-11-24 10:52:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 14:09:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.